/**
 * 注意：此檔案包含自定義樣式，請勿在系統更新時覆蓋
 * Note: This file contains custom styles, do not overwrite during system updates
 * 最後更新 / Last updated: 2025-04-16
 */
/* 全局|--|set */
.main--line {
    border-bottom: none;
}
.breadcrumb-box {
    background-color: #333333;
    border-bottom: none;
}
.inner > .title span::before {
    display: none;
}
.form__control {
    color: #FFFFFF;
    background: #7b7b7b;
}
.form__control[disabled], .form__control[readonly] {
    background: #7b7b7b;
    filter: opacity(100%);
    opacity: 1;
}
.btnset, .accordion-menu > li > a.active, .description .tabs a, .accordion-tab, .sitemap__item h3 a {
    font-weight: 700;
}


/* 全局|gdpr|位置變更 */
@media screen and (min-width:991px) {
    .advbox{
        max-width: 80%;
        left: 50%;
        bottom: 25px;
        transform: translateX(-50%);
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .advbox .btnset{
        padding: 9px 40px 10px 30px !important;
        margin-bottom: 2px;
        &:before {
            background-color: #ccc;
        }
    }
}

/* 全局|header|箭頭樣式 */
.nav__btn::after{
    font-family: "icomoon";
    content: "\f105";
    font-size: 20px;
    transform: rotate(90deg);
}

.nav__layer .nav__btn::after{
    font-family: "icomoon";
    content: "\f105";
    font-size: 20px;
    transform: rotate(0deg);
}

@media screen and (max-width:991px) {
    .nav__btn::after{
        font-family: "icomoon";
        content: "\f105";
        font-size: 20px;
        color: #000000 !important;
        transform: rotate(0deg);
    }
}
.nav__btn-icon{
    display: none;
}

/* 全局|按鈕|按鈕樣式 */
.btnset {
    padding: 10px 30px 10px 20px !important;
    border: none;
    border-radius: 6px;
    clip-path: polygon(0 0, 100% 0%, 90% 100%, 0% 100%);
    /*background-color: #999999;*/
    position: relative;
    &:before {
        position: absolute;
        right: 0;
        top: 0;
        width: 20%;
        height: 100%;
        background-color: #ffe48e;
        clip-path: polygon(55% 0, 100% 0%, 55% 100%, 0% 100%);
        content: "";
        z-index: 1;
        transition: all 500ms ease-in-out;
    }
    &:hover {
        &:before {
            right: -10px;
            background-color: #d0d0d0;
        }
    }
}
/* product detail|download|按鈕 */
@media (max-width: 768px) {
    .download__item {
        .file-name {
            width: 75%;
        }
        .btnset {
            width: 25%;
        }
    }
}
@media (max-width: 480px) {
    .download__item {
        .file-name, .btnset {
            width: 100%;
        }
    }
}


/* 首頁|banner|文字區塊 */
.ind-banner .ind-banner__text {
    max-width: 600px;
    overflow: hidden;
    .title, p {
        text-align: left;
    }
    .title {
        font-weight: 700;
    }
    p {
        margin: 20px 0 10px;
    }
    &:after {
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        width: 40%;
        height: 100%;
        clip-path: polygon(50% 0, 95% 0, 70% 100%, 20% 100%);
        background-color: #fabe009e !important;
        z-index: -1;
        transition: all 500ms ease-in-out;
    }
    .btnbox {
        display: flex !important;
    }
    &:hover {
        &:after {
            transform: translateX(50%);
        }
    }
}
@media (max-width: 991px) {
    .ind-banner .ind-banner__text {
        max-width: none;
    }
}

/* 首頁|banner|左右鍵 */
.ind-banner .swiper-button-next::after, .ind-banner .swiper-button-prev::after {
    content: "\e912";
    transform: rotate(90deg);
}
.ind-banner .swiper-button-next::after {
    transform: rotate(-90deg);
}
@media (max-width: 375px) {
    .ind-banner .swiper-button-next, .ind-banner .swiper-button-prev {
        top: 50%;
    }
}

/* 首頁|banner|bullet */
.ind-banner .swiper-pagination .swiper-pagination-bullet{
    width: 30px;
    height: 6px;
    border-radius: 10px;
    transition: all 500ms ease-in-out;
}
.ind-banner .swiper-pagination .swiper-pagination-bullet-active {
    width: 12px;
    height: 12px;
    border-radius: 20px;
}

/* 首頁|列表標題|字體粗度 */
section .title.title--lg{
    font-weight: 700;
}

/* 首頁|列表|圖片導圓角 */
.product__item, .news__item {
    .img {
        border-radius: 8px;
        overflow: hidden;
    }
}
.index-list-effect-3 .news__item .info {
    border-radius: 8px;
}


/* 全局|header|header-template20 */
.header-template20 {
    &.header--unfixed {
        background: linear-gradient(to bottom,  rgba(0,0,0,0.3) 0%,rgba(255,255,255,0) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
        .header__inner {
            background-color: #00000063;
        }
    }
    .header__inner {
        .language {
            .option {
                li {
                    color: #444444;
                    &:last-child {
                        display: none;
                    }
                }
            }
        }
        .nav__box {
            .nav{
                .nav__item {
                    .nav__name {
                        font-weight: 700;
                        opacity: 1;
                    }
                    .nav__layer {
                        width: max-content;
                        min-width: 200px;
                        .nav__item {
                            .nav__name {
                                font-weight: 400;
                                &:hover {
                                    padding-left: 25px;
                                    &:before {
                                        display: none;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
        .nav__name {
            &.active {
                &:before {
                    background: #ffc200;
                }
                &:hover {
                    &:after {
                        background-color: #ffc200;
                    }
                }
            }
            &:hover {
                &:after {
                    background-color: #FFFFFF;
                }
            }
        }
    }
}
@media (max-width: 991px) {
    .header-template20 {
        .header__inner {
            .nav__box {
                background-color: #ffc200;
                .nav {
                    .nav__item {
                        .nav__name {
                            font-weight: 400;
                        }
                        .nav__layer {
                            width: 100%;
                        }
                    }
                }
            }
        }
    }
}

/* 全局|footer|footer-common-editor1 */
.footer-common-editor1-template21 {
    .footer__block {
        .info {
            .title {
                font-weight: 700;
            }
        }
    }
}

/* 全局|footer|footer-common-copy */
.footer-common-copy {
    .wrapper {
        flex-direction: row !important;
        .social, .copy {
            width: 50%;
        }
        .copy {
            margin: 0 !important;
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            justify-content: flex-end;
        }
    }
}
@media (max-width: 991px) {
    .footer-common-copy {
        .wrapper {
            .social, .copy {
                width: 100%;
            }
            .copy {
                justify-content: flex-start;
            }
        }
    }
}

/* 全局|footer|footer-common-editor2 */
.footer-common-editor2 {
    max-width: 1400px;
    width: 100%;
    margin: 10px auto 20px;
}


/* other */
.index-h1__setting {
    font-weight: 100;
}
.ind-news {
    .news {
        .news__item {
            .info {
                .date {
                    padding: 7px 15px;
                    background-color: #00000036;
                }
            }
        }
    }
}
.index-editor-template39 {
    .wrapper {
        > .title {
            padding-bottom: 20px;
            margin-bottom: 30px;
            font-weight: 700;
        }
    }
}
@media (max-width: 768px) {
    .index-editor-template39 {
        .inner {
            .img-box {
                margin-top: 20px;
            }
        }
    }
}
.index-editor-template41 {
    &:after {
        background-color: #00000091 !important;
    }
    .wrapper {
        .text-p {
            width: 90%;
        }
    }
}
@media (max-width: 768px) {
    .index-editor-template41 {
        .wrapper {
            .inner__div {
                margin-bottom:
                        30px;
                .title {
                    margin-top: 20px;
                }
                &:last-child {
                    margin-bottom: 0;
                }
            }
        }
    }
}
.index-editor-template40 {
    .img-left {
        img {
            height: 100%;
            object-fit: cover;
        }
    }
    .info {
        padding: 20px 0 20px 50px;
        .title {
            padding-bottom: 20px;
            span{
                &:first-child {
                    margin-right: 10px;
                }
            }
        }
    }
}
@media (max-width: 768px) {
    .index-editor-template40 {
        .info {
            padding-left: 0;
        }
    }
}
@media (max-width: 480px) {
    .index-editor-template40 {
        .info {
            .title {
                &:after {
                    width: 20%;
                }
            }
        }
    }
}
.page-news {
    .news {
        .news__item {
            background-color: #00000036;
            border-bottom: none;
        }
    }
}
@media (max-width: 480px) {
    .pro-block {
        > .title {
            &:before, &:after {
                display: none;
            }
        }
    }
}
